--- old/usr/src/Makefile.master	2018-10-04 22:48:33.784726334 +0000
+++ new/usr/src/Makefile.master	2018-10-04 22:48:33.802035628 +0000
@@ -390,7 +390,6 @@
 # disable the incremental linker
 ILDOFF=			-xildoff
 #
-XDEPEND=		-xdepend
 XFFLAG=			-xF=%all
 XESS=			-xs
 XSTRCONST=		-xstrconst
--- old/usr/src/cmd/ldapcachemgr/Makefile	2018-10-04 22:48:34.335822803 +0000
+++ new/usr/src/cmd/ldapcachemgr/Makefile	2018-10-04 22:48:34.352485894 +0000
@@ -44,9 +44,9 @@
 
 OBJS=	cachemgr.o cachemgr_getldap.o cachemgr_parse.o cachemgr_change.o
 
-SRCS=	${OBJS:%.o=%.c} 
+SRCS=	${OBJS:%.o=%.c}
 
-CPPFLAGS += 	-D_REENTRANT -DSUN_THREADS \
+CPPFLAGS +=	-D_REENTRANT -DSUN_THREADS \
 		-I$(SRC)/lib/libsldap/common \
 		-I$(SRC)/lib/libldap5/include/ldap \
 		-I$(SRC)/lib/libc/port/gen
@@ -62,10 +62,8 @@
 LINTOUT=        lint.out
 
 # TCOV_FLAG=	-ql
-# GPROF_FLAG=	-xpg
-# DEBUG_FLAG=	-g
 
-LDLIBS += 	-lumem -lsldap
+LDLIBS +=	-lumem -lsldap
 
 # install macros and rule
 #
--- old/usr/src/cmd/nscd/Makefile	2018-10-04 22:48:34.835929661 +0000
+++ new/usr/src/cmd/nscd/Makefile	2018-10-04 22:48:34.853651346 +0000
@@ -69,8 +69,6 @@
 LDFLAGS +=	$(ZINTERPOSE)
 
 # TCOV_FLAG=	-ql
-# GPROF_FLAG=	-xpg
-# DEBUG_FLAG=	-g
 
 PROGLIBS=	$(LDLIBS) -lresolv -lnsl -lsocket -lumem -lscf -lavl
 
@@ -90,7 +88,7 @@
 	$(LINT.c) ${SRCS} ${PROGLIBS}
 
 cstyle:
-	${CSTYLE} ${SRCS} 
+	${CSTYLE} ${SRCS}
 
 install: all $(ROOTPROG) $(ROOTMANIFEST) $(ROOTSVCMETHOD)
 
--- old/usr/src/lib/libnsl/Makefile.com	2018-10-04 22:48:35.305417103 +0000
+++ new/usr/src/lib/libnsl/Makefile.com	2018-10-04 22:48:35.321702772 +0000
@@ -183,11 +183,6 @@
 $(BIGPICS) :=	sparc_C_PICFLAGS = $(C_BIGPICFLAGS)
 $(BIGPICS) :=	i386_C_PICFLAGS = $(C_BIGPICFLAGS)
 
-# Compile C++ code without exceptions to avoid a dependence on libC.
-NOEXCEPTIONS= -noex
-CCFLAGS += $(NOEXCEPTIONS)
-CCFLAGS64 += $(NOEXCEPTIONS)
-
 CPPFLAGS +=	-I$(SRC)/lib/libnsl/include -D_REENTRANT
 CPPFLAGS +=	-I$(SRC)/lib/libnsl/dial
 
--- old/usr/src/tools/cw/cw.c	2018-10-04 22:48:35.778502872 +0000
+++ new/usr/src/tools/cw/cw.c	2018-10-04 22:48:35.796098679 +0000
@@ -37,7 +37,7 @@
  */
 
 /* If you modify this file, you must increment CW_VERSION */
-#define	CW_VERSION	"2.0"
+#define	CW_VERSION	"3.0"
 
 /*
  * -#		Verbose mode
@@ -56,8 +56,6 @@
  *		as errors
  * -fast	Optimize using a selection of options
  * -fd		Report old-style function definitions and declarations
- * -features=zla	Allow zero-length arrays
- * -flags	Show this summary of compiler options
  * -fnonstd	Initialize floating-point hardware to non-standard preferences
  * -fns[=<yes|no>] Select non-standard floating point mode
  * -fprecision=<p> Set FP rounding precision mode p(single, double, extended)
@@ -84,17 +82,12 @@
  * -native	Find available processor, generate code accordingly
  * -nofstore	Do not force floating pt. values to target precision
  *		on assignment
- * -nolib	Same as -xnolib
- * -noqueue	Disable queuing of compiler license requests
  * -norunpath	Do not build in a runtime path for shared libraries
  * -O		Use default optimization level (-xO2 or -xO3. Check man page.)
  * -o <outputfile> Set name of output file to <outputfile>
  * -P		Compile source through preprocessor only, output to .i  file
- * -PIC		Alias for -KPIC or -xcode=pic32
  * -p		Compile for profiling with prof
- * -pic		Alias for -Kpic or -xcode=pic13
  * -Q[y|n]	Emit/don't emit identification info to output file
- * -qp		Compile for profiling with prof
  * -R<dir[:dir]> Build runtime search path list into executable
  * -S		Compile and only generate assembly code (.s)
  * -s		Strip symbol table from the executable file
@@ -106,16 +99,12 @@
  * -w		Suppress compiler warning messages
  * -Xa		Compile assuming ANSI C conformance, allow K & R extensions
  *		(default mode)
- * -Xc		Compile assuming strict ANSI C conformance
  * -Xs		Compile assuming (pre-ANSI) K & R C style code
  * -Xt		Compile assuming K & R conformance, allow ANSI C
- * -x386	Generate code for the 80386 processor
- * -x486	Generate code for the 80486 processor
  * -xarch=<a>	Specify target architecture instruction set
  * -xbuiltin[=<b>] When profitable inline, or substitute intrinisic functions
  *		for system functions, b={%all,%none}
  * -xCC		Accept C++ style comments
- * -xchar_byte_order=<o> Specify multi-char byte order <o> (default, high, low)
  * -xchip=<c>	Specify the target processor for use by the optimizer
  * -xcode=<c>	Generate different code for forming addresses
  * -xcrossfile[=<n>] Enable optimization and inlining across source files,
@@ -133,15 +122,9 @@
  * -xlibmil	Inline selected libm math routines for optimization
  * -xlic_lib=sunperf	Link in the Sun supplied performance libraries
  * -xlicinfo	Show license server information
- * -xM		Generate makefile dependencies
- * -xM1		Generate makefile dependencies, but exclude /usr/include
  * -xmaxopt=[off,1,2,3,4,5] maximum optimization level allowed on #pragma opt
- * -xnolib	Do not link with default system libraries
- * -xnolibmil	Cancel -xlibmil on command line
  * -xO<n>	Generate optimized code (n={1|2|3|4|5})
  * -xP		Print prototypes for function definitions
- * -xpentium	Generate code for the pentium processor
- * -xpg		Compile for profiling with gprof
  * -xprofile=<p> Collect data for a profile or use a profile to optimize
  *		<p>={{collect,use}[:<path>],tcov}
  * -xregs=<r>	Control register allocation
@@ -155,8 +138,6 @@
  * -xtarget=<t>	Specify target system for optimization
  * -xtemp=<dir>	Set directory for temporary files to <dir>
  * -xtime	Report the execution time for each compilation phase
- * -xtransition	Emit warnings for differences between K&R C and ANSI C
- * -xtrigraphs[=<yes|no>] Enable|disable trigraph translation
  * -xunroll=n	Enable unrolling loops n times where possible
  * -Y<c>,<dir>	Specify <dir> for location of component <c> (a,l,m,p,0,h,i,u)
  * -YA,<dir>	Change default directory searched for components
@@ -184,8 +165,6 @@
  * -errwarn=%all		-Werror else -Wno-error
  * -fast			error
  * -fd				error
- * -features=zla		ignore
- * -flags			--help
  * -fnonstd			error
  * -fns[=<yes|no>]		error
  * -fprecision=<p>		error
@@ -212,16 +191,12 @@
  * -native			error
  * -nofstore			error
  * -nolib			-nodefaultlibs
- * -noqueue			ignore
  * -norunpath			ignore
  * -O				-O1 (Check the man page to be certain)
  * -o <outputfile>		pass-thru
  * -P				-E -o filename.i (or error)
- * -PIC				-fPIC (C++ only)
  * -p				pass-thru
- * -pic				-fpic (C++ only)
  * -Q[y|n]			error
- * -qp				-p
  * -R<dir[:dir]>		pass-thru
  * -S				pass-thru
  * -s				-Wl,-s
@@ -233,20 +208,15 @@
  * -Wp,<arg>			pass-thru except -xc99=<a>
  * -Wl,<arg>			pass-thru
  * -W{m,0,2,h,i,u>		error/ignore
- * -Wu,-xmodel=kernel		-ffreestanding -mcmodel=kernel -mno-red-zone
  * -xmodel=kernel		-ffreestanding -mcmodel=kernel -mno-red-zone
  * -Wu,-save_args		-msave-args
  * -w				pass-thru
  * -Xa				-std=iso9899:199409 or -ansi
- * -Xc				-ansi -pedantic
  * -Xt				error
  * -Xs				-traditional -std=c89
- * -x386			-march=i386 (x86 only)
- * -x486			-march=i486 (x86 only)
  * -xarch=<a>			table
  * -xbuiltin[=<b>]		-fbuiltin (-fno-builtin otherwise)
  * -xCC				ignore
- * -xchar_byte_order=<o>	error
  * -xchip=<c>			table
  * -xcode=<c>			table
  * -xdebugformat=<format>	ignore (always use dwarf-2 for gcc)
@@ -260,15 +230,9 @@
  * -xlibmieee			error
  * -xlibmil			error
  * -xlic_lib=sunperf		error
- * -xM				-M
- * -xM1				-MM
  * -xmaxopt=[...]		error
- * -xnolib			-nodefaultlibs
- * -xnolibmil			error
  * -xO<n>			-O<n>
  * -xP				error
- * -xpentium			-march=pentium (x86 only)
- * -xpg				error
  * -xprofile=<p>		error
  * -xregs=<r>			table
  * -xs				error
@@ -281,7 +245,6 @@
  * -xtemp=<dir>			error
  * -xtime			error
  * -xtransition			-Wtransition
- * -xtrigraphs=<yes|no>		-trigraphs -notrigraphs
  * -xunroll=n			error
  * -W0,-xdbggen=no%usedonly	-fno-eliminate-unused-debug-symbols
  *				-fno-eliminate-unused-debug-types
@@ -527,18 +490,6 @@
 }
 
 static void
-Xcmode(struct aelist *h)
-{
-	static int xconce;
-
-	if (xconce++)
-		return;
-
-	newae(h, "-ansi");
-	newae(h, "-pedantic-errors");
-}
-
-static void
 Xsmode(struct aelist *h)
 {
 	static int xsonce;
@@ -719,23 +670,6 @@
 				newae(ctx->i_ae, "-Werror");
 				continue;
 			}
-			if (strcmp(arg, "-noex") == 0) {
-				/* no exceptions */
-				newae(ctx->i_ae, "-fno-exceptions");
-				/* no run time type descriptor information */
-				newae(ctx->i_ae, "-fno-rtti");
-				continue;
-			}
-			if (strcmp(arg, "-pic") == 0) {
-				newae(ctx->i_ae, "-fpic");
-				pic = 1;
-				continue;
-			}
-			if (strcmp(arg, "-PIC") == 0) {
-				newae(ctx->i_ae, "-fPIC");
-				pic = 1;
-				continue;
-			}
 			if (strcmp(arg, "-norunpath") == 0) {
 				/* gcc has no corresponding option */
 				continue;
@@ -874,20 +808,6 @@
 			}
 			error(arg);
 			break;
-		case 'f':
-			if (strcmp(arg, "-flags") == 0) {
-				newae(ctx->i_ae, "--help");
-				break;
-			}
-			if (strncmp(arg, "-features=zla", 13) == 0) {
-				/*
-				 * Accept but ignore this -- gcc allows
-				 * zero length arrays.
-				 */
-				break;
-			}
-			error(arg);
-			break;
 		case 'G':
 			newae(ctx->i_ae, "-shared");
 			nolibc = 1;
@@ -964,15 +884,6 @@
 				free(s);
 			}
 			break;
-		case 'n':
-			if (strcmp(arg, "-noqueue") == 0) {
-				/*
-				 * Horrid license server stuff - n/a
-				 */
-				break;
-			}
-			error(arg);
-			break;
 		case 'O':
 			if (arglen == 1) {
 				newae(ctx->i_ae, "-O");
@@ -992,13 +903,6 @@
 			op = CW_O_PREPROCESS;
 			nolibc = 1;
 			break;
-		case 'q':
-			if (strcmp(arg, "-qp") == 0) {
-				newae(ctx->i_ae, "-p");
-				break;
-			}
-			error(arg);
-			break;
 		case 's':
 			if (arglen == 1) {
 				newae(ctx->i_ae, "-Wl,-s");
@@ -1042,18 +946,6 @@
 				newae(ctx->i_ae, arg);
 				break;
 			}
-			if (strcmp(arg, "-W0,-xc99=pragma") == 0) {
-				/* (undocumented) enables _Pragma */
-				break;
-			}
-			if (strcmp(arg, "-W0,-xc99=%none") == 0) {
-				/*
-				 * This is a polite way of saying
-				 * "no c99 constructs allowed!"
-				 * For now, just accept and ignore this.
-				 */
-				break;
-			}
 			if (strcmp(arg, "-W0,-noglobal") == 0 ||
 			    strcmp(arg, "-W0,-xglobalstatic") == 0) {
 				/*
@@ -1084,13 +976,6 @@
 				 */
 				break;
 			}
-			if (strcmp(arg, "-W2,-Rcond_elim") == 0) {
-				/*
-				 * Elimination and expansion of conditionals;
-				 * gcc has no direct equivalent.
-				 */
-				break;
-			}
 			if (strcmp(arg, "-Wd,-xsafe=unboundsym") == 0) {
 				/*
 				 * Prevents optimizing away checks for
@@ -1120,13 +1005,6 @@
 				break;
 			}
 #if defined(__x86)
-			if (strcmp(arg, "-Wu,-xmodel=kernel") == 0) {
-				newae(ctx->i_ae, "-ffreestanding");
-				newae(ctx->i_ae, "-mno-red-zone");
-				model = "-mcmodel=kernel";
-				nolibc = 1;
-				break;
-			}
 			if (strcmp(arg, "-Wu,-save_args") == 0) {
 				newae(ctx->i_ae, "-msave-args");
 				break;
@@ -1140,10 +1018,6 @@
 				Xamode(ctx->i_ae);
 				break;
 			}
-			if (strcmp(arg, "-Xc") == 0) {
-				Xcmode(ctx->i_ae);
-				break;
-			}
 			if (strcmp(arg, "-Xs") == 0) {
 				Xsmode(ctx->i_ae);
 				break;
@@ -1154,22 +1028,6 @@
 			if (arglen == 1)
 				error(arg);
 			switch (arg[2]) {
-#if defined(__x86)
-			case '3':
-				if (strcmp(arg, "-x386") == 0) {
-					newae(ctx->i_ae, "-march=i386");
-					break;
-				}
-				error(arg);
-				break;
-			case '4':
-				if (strcmp(arg, "-x486") == 0) {
-					newae(ctx->i_ae, "-march=i486");
-					break;
-				}
-				error(arg);
-				break;
-#endif	/* __x86 */
 			case 'a':
 				if (strncmp(arg, "-xarch=", 7) == 0) {
 					mflag |= xlate_xtb(ctx->i_ae, arg + 7);
@@ -1210,15 +1068,11 @@
 						pic = 1;
 					break;
 				}
-				if (strncmp(arg, "-xcache=", 8) == 0)
-					break;
 				if (strncmp(arg, "-xcrossfile", 11) == 0)
 					break;
 				error(arg);
 				break;
 			case 'd':
-				if (strcmp(arg, "-xdepend") == 0)
-					break;
 				if (strncmp(arg, "-xdebugformat=", 14) == 0)
 					break;
 				error(arg);
@@ -1255,24 +1109,6 @@
 				error(arg);
 				break;
 #endif	/* __x86 */
-			case 'M':
-				if (strcmp(arg, "-xM") == 0) {
-					newae(ctx->i_ae, "-M");
-					break;
-				}
-				if (strcmp(arg, "-xM1") == 0) {
-					newae(ctx->i_ae, "-MM");
-					break;
-				}
-				error(arg);
-				break;
-			case 'n':
-				if (strcmp(arg, "-xnolib") == 0) {
-					nolibc = 1;
-					break;
-				}
-				error(arg);
-				break;
 			case 'O':
 				if (strncmp(arg, "-xO", 3) == 0) {
 					size_t len = strlen(arg);
@@ -1306,17 +1142,6 @@
 				}
 				error(arg);
 				break;
-			case 'p':
-				if (strcmp(arg, "-xpentium") == 0) {
-					newae(ctx->i_ae, "-march=pentium");
-					break;
-				}
-				if (strcmp(arg, "-xpg") == 0) {
-					newae(ctx->i_ae, "-pg");
-					break;
-				}
-				error(arg);
-				break;
 			case 'r':
 				if (strncmp(arg, "-xregs=", 7) == 0) {
 					xlate(ctx->i_ae, arg + 7, xregs_tbl);
@@ -1332,18 +1157,6 @@
 				error(arg);
 				break;
 			case 't':
-				if (strcmp(arg, "-xtransition") == 0) {
-					newae(ctx->i_ae, "-Wtransition");
-					break;
-				}
-				if (strcmp(arg, "-xtrigraphs=yes") == 0) {
-					newae(ctx->i_ae, "-trigraphs");
-					break;
-				}
-				if (strcmp(arg, "-xtrigraphs=no") == 0) {
-					newae(ctx->i_ae, "-notrigraphs");
-					break;
-				}
 				if (strncmp(arg, "-xtarget=", 9) == 0) {
 					xlate(ctx->i_ae, arg + 9, xtarget_tbl);
 					break;
--- old/usr/src/tools/scripts/nightly.sh	2018-10-04 22:48:36.364791605 +0000
+++ new/usr/src/tools/scripts/nightly.sh	2018-10-04 22:48:36.381843618 +0000
@@ -123,21 +123,21 @@
 #
 # usage: run_hook HOOKNAME ARGS...
 #
-# If variable "$HOOKNAME" is defined, insert a section header into 
+# If variable "$HOOKNAME" is defined, insert a section header into
 # our logs and then run the command with ARGS
 #
 function run_hook {
 	HOOKNAME=$1
-    	eval HOOKCMD=\$$HOOKNAME
+	eval HOOKCMD=\$$HOOKNAME
 	shift
 
-	if [ -n "$HOOKCMD" ]; then 
-	    	(
+	if [ -n "$HOOKCMD" ]; then
+		(
 			echo "\n==== Running $HOOKNAME command: $HOOKCMD ====\n"
-		    	( $HOOKCMD "$@" 2>&1 )
+			( $HOOKCMD "$@" 2>&1 )
 			if [ "$?" -ne 0 ]; then
-			    	# Let exit status propagate up
-			    	touch $TMPDIR/abort
+				# Let exit status propagate up
+				touch $TMPDIR/abort
 			fi
 		) | tee -a $mail_msg_file >> $LOGFILE
 
@@ -285,9 +285,7 @@
 			| egrep -v '^Zero Signature length:' \
 			| egrep -v '^Note \(probably harmless\):' \
 			| egrep -v '::' \
-			| egrep -v -- '-xcache' \
 			| egrep -v '^\+' \
-			| egrep -v '^cc1: note: -fwritable-strings' \
 			| egrep -v 'svccfg-native -s svc:/' \
 			| sort | uniq >$SRC/${NOISE}.out
 		if [ ! -f $SRC/${NOISE}.ref ]; then
@@ -404,7 +402,7 @@
 	#
 	rm -f Nothing_to_remove \
 	    `find . \( -name SCCS -o -name .hg -o -name .svn -o -name .git \) \
-	    	-prune -o -type f -name '*.ln' -print `
+		-prune -o -type f -name '*.ln' -print `
 
 	/bin/time $MAKE -ek lint 2>&1 | \
 	    tee -a $LINTOUT >> $LOGFILE
@@ -724,7 +722,7 @@
 #
 if [ -f /etc/nightly.conf ]; then
 	. /etc/nightly.conf
-fi    
+fi
 
 if [ -f $1 ]; then
 	if [[ $1 = */* ]]; then
@@ -903,7 +901,7 @@
 	MAKE=dmake
 elif [[ ! -x "$MAKE" ]]; then
 	echo "\$MAKE is set to garbage in the environment"
-	exit 1	
+	exit 1
 fi
 export PATH
 export MAKE
@@ -1031,9 +1029,9 @@
 #
 
 function logshuffle {
-    	LLOG="$ATLOG/log.`date '+%F.%H:%M'`"
+	LLOG="$ATLOG/log.`date '+%F.%H:%M'`"
 	if [ -f $LLOG -o -d $LLOG ]; then
-	    	LLOG=$LLOG.$$
+		LLOG=$LLOG.$$
 	fi
 
 	rm -f "$ATLOG/latest" 2>/dev/null
@@ -1048,7 +1046,7 @@
 	        fi
 
 		if [ -f $TMPDIR/wsdiff.results ]; then
-		    	mv $TMPDIR/wsdiff.results $LLOG
+			mv $TMPDIR/wsdiff.results $LLOG
 		fi
 
 		if [ -f $TMPDIR/wsdiff-nd.results ]; then
@@ -1066,7 +1064,7 @@
 
 	exec >>$LOGFILE 2>&1
 	if [ -s $build_noise_file ]; then
-	    	echo "\n==== Nightly build noise ====\n" |
+		echo "\n==== Nightly build noise ====\n" |
 		    tee -a $LOGFILE >>$mail_msg_file
 		cat $build_noise_file >>$LOGFILE
 		cat $build_noise_file >>$mail_msg_file
@@ -1082,7 +1080,7 @@
 			state=Interrupted
 			;;
 		*)
-	    		state=Failed
+			state=Failed
 			;;
 	esac
 
@@ -1108,13 +1106,13 @@
 	cat $build_time_file $build_environ_file $mail_msg_file \
 	    > ${LLOG}/mail_msg
 	if [ "$m_FLAG" = "y" ]; then
-	    	cat ${LLOG}/mail_msg | /usr/bin/mailx ${mailx_r} -s \
+		cat ${LLOG}/mail_msg | /usr/bin/mailx ${mailx_r} -s \
 	"Nightly ${MACH} Build of `basename ${CODEMGR_WS}` ${state}." \
 			${MAILTO}
 	fi
 
 	if [ "$u_FLAG" = "y" -a "$build_ok" = "y" ]; then
-	    	staffer cp ${LLOG}/mail_msg $PARENT_WS/usr/src/mail_msg-${MACH}
+		staffer cp ${LLOG}/mail_msg $PARENT_WS/usr/src/mail_msg-${MACH}
 		staffer cp $LOGFILE $PARENT_WS/usr/src/nightly-${MACH}.log
 	fi
 
@@ -1127,7 +1125,7 @@
 #	Remove the locks and temporary files on any exit
 #
 function cleanup {
-    	logshuffle
+	logshuffle
 
 	[ -z "$lockfile" ] || staffer rm -f $lockfile
 	[ -z "$atloglockfile" ] || rm -f $atloglockfile
@@ -1143,7 +1141,7 @@
 }
 
 function cleanup_signal {
-    	build_ok=i
+	build_ok=i
 	# this will trigger cleanup(), above.
 	exit 1
 }
@@ -1362,7 +1360,7 @@
 		else
 			scm_type="none"
 		fi
-	fi    
+	fi
 
 	# fold both unsupported and unrecognized results into "none"
 	case "$scm_type" in
@@ -1864,7 +1862,7 @@
 		mkdir -p $NIGHTLY_PARENT_TOOLS_ROOT
 		if [[ "$MULTI_PROTO" = no || "$D_FLAG" = y ]]; then
 			( cd $TOOLS_PROTO; tar cf - . |
-			    ( cd $NIGHTLY_PARENT_TOOLS_ROOT; 
+			    ( cd $NIGHTLY_PARENT_TOOLS_ROOT;
 			    umask 0; tar xpf - ) ) 2>&1 |
 			    tee -a $mail_msg_file >> $LOGFILE
 		fi
@@ -1893,7 +1891,7 @@
 	find_elf -fr $checkroot > $elf_ddir/object_list
 
 	if [[ $A_FLAG = y ]]; then
-	       	echo "\n==== Check versioning and ABI information ====\n"  | \
+		echo "\n==== Check versioning and ABI information ====\n"  | \
 		    tee -a $LOGFILE >> $mail_msg_file
 
 		# Produce interface description for the proto. Report errors.
@@ -1914,7 +1912,7 @@
 		       	echo "\n==== Compare versioning and ABI information" \
 			    "to baseline ====\n"  | \
 			    tee -a $LOGFILE >> $mail_msg_file
-		       	echo "Baseline:  $base_ifile\n" >> $LOGFILE
+			echo "Baseline:	 $base_ifile\n" >> $LOGFILE
 
 			if [[ -f $base_ifile ]]; then
 				interface_cmp -d -o $base_ifile \
@@ -1927,7 +1925,7 @@
 					build_extras_ok=n
 				fi
 			else
-			       	echo "baseline not available. comparison" \
+				echo "baseline not available. comparison" \
                                     "skipped" | \
 				    tee -a $LOGFILE >> $mail_msg_file
 			fi
@@ -1953,7 +1951,7 @@
 			build_extras_ok=n
 		fi
 
-		# check_rtime -I output needs to be sorted in order to 
+		# check_rtime -I output needs to be sorted in order to
 		# compare it to that from previous builds.
 		sort $elf_ddir/runtime.attr.raw > $elf_ddir/runtime.attr
 		rm $elf_ddir/runtime.attr.raw
@@ -1994,7 +1992,7 @@
 		# These files are used asynchronously by other builds for ABI
 		# verification, as above for the -A option. As such, we require
 		# the file replacement to be atomic. Copy the data to a temp
-		# file in the same filesystem and then rename into place. 
+		# file in the same filesystem and then rename into place.
 		(
 			cd $elf_ddir
 			for elf_dfile in *; do
